CREATE TABLE Export
(
   ID varchar(36) PRIMARY KEY NOT NULL
   ,name varchar(50)
   ,definitionID varchar(50)
   ,condition_id varchar(36)
   ,deleted boolean
   ,modificationTime timestamp
);
CREATE TABLE Field
(
   ID varchar(36) PRIMARY KEY NOT NULL
   ,definitionID varchar(50)
);
CREATE TABLE Export_Field
(
    export_id varchar(36)
    ,field_id varchar(36)
);
ALTER TABLE Export_Field
ADD CONSTRAINT Export_Field_Export_0
FOREIGN KEY (export_ID)
REFERENCES Export(ID);
ALTER TABLE Export_Field
ADD CONSTRAINT Export_Field_Field_0
FOREIGN KEY (field_ID)
REFERENCES Field(ID);
CREATE TABLE AbstractCondition
(
   ID varchar(36) PRIMARY KEY NOT NULL
   ,parent_id varchar(36)
   ,deleted boolean
   ,modificationTime timestamp
   ,discriminator varchar(100)
);
CREATE TABLE AndCondition
(
   ID varchar(36) PRIMARY KEY NOT NULL
);
CREATE TABLE OrCondition
(
   ID varchar(36) PRIMARY KEY NOT NULL
);
CREATE TABLE FieldCondition
(
   ID varchar(36) PRIMARY KEY NOT NULL
   ,field_id varchar(36)
   ,operator varchar(30)
   ,value varchar(500)
);
ALTER TABLE Export
ADD CONSTRAINT Export_AbstractCondition_0
FOREIGN KEY (condition_ID)
REFERENCES AbstractCondition(ID);
ALTER TABLE AbstractCondition
ADD CONSTRAINT AbstractCondition_AbstractCondition_0
FOREIGN KEY (parent_id)
REFERENCES AbstractCondition(ID);
ALTER TABLE AndCondition
ADD CONSTRAINT AndCondition_AbstractCondition_0
FOREIGN KEY (id)
REFERENCES AbstractCondition(ID);
ALTER TABLE OrCondition
ADD CONSTRAINT OrCondition_AbstractCondition_0
FOREIGN KEY (id)
REFERENCES AbstractCondition(ID);
ALTER TABLE FieldCondition
ADD CONSTRAINT FieldCondition_AbstractCondition_0
FOREIGN KEY (id)
REFERENCES AbstractCondition(ID);
ALTER TABLE FieldCondition
ADD CONSTRAINT FieldCondition_Field_0
FOREIGN KEY (field_id)
REFERENCES Field(ID);
